# Uses of Enum Class
java.text.ListFormat.Style

Packages that use ListFormat.Style
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

## Uses of ListFormat.Style in java.text

Subclasses with type arguments of type ListFormat.Style in java.text
Modifier and Type
Class
Description
`static enum`
`ListFormat.Style`
A ListFormat style - `FULL`, `SHORT`, and `NARROW`.
Methods in java.text that return ListFormat.Style
Modifier and Type
Method
Description
`static ListFormat.Style`
ListFormat.Style.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ListFormat.Style[]`
ListFormat.Style.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.text with parameters of type ListFormat.Style
Modifier and Type
Method
Description
`static ListFormat`
ListFormat.`getInstance(Locale locale, ListFormat.Type type, ListFormat.Style style)`
Returns the ListFormat object for the specified `Locale`, `Type`, and `Style`.